set nocount on
GO

delete from ***DBName***.[dbo].[custom_col_dependencies]
delete from ***DBName***.[dbo].[mime_type_to_file_ext_map]
delete from ***DBName***.[dbo].[highlights]
delete from ***DBName***.[dbo].[file_ext_map]
delete from ***DBName***.[dbo].[custom_columns]
delete from ***DBName***.[dbo].[task_success_codes]
delete from ***DBName***.[dbo].[task_src_types]
delete from ***DBName***.[dbo].[settings]
delete from ***DBName***.[dbo].[providers]
delete from ***DBName***.[dbo].[job_success_codes]
delete from ***DBName***.[dbo].[file_extensions]
delete from ***DBName***.[dbo].[entity_success_codes]
delete from ***DBName***.[dbo].[doc_types]
delete from ***DBName***.[dbo].[doc_success_codes]
delete from ***DBName***.[dbo].[doc_source_types]
delete from ***DBName***.[dbo].[datatypes]
delete from ***DBName***.[dbo].[custom_col_groups]
GO

Insert into ***DBName***.[dbo].[custom_col_groups] ([group_id], [display_name], [appearance_order]) Values (1, 'Package', 1)
Insert into ***DBName***.[dbo].[custom_col_groups] ([group_id], [display_name], [appearance_order]) Values (2, 'Task', 2)
Insert into ***DBName***.[dbo].[custom_col_groups] ([group_id], [display_name], [appearance_order]) Values (3, 'Datapage', 3)
Insert into ***DBName***.[dbo].[custom_col_groups] ([group_id], [display_name], [appearance_order]) Values (4, 'iTable', 4)
Insert into ***DBName***.[dbo].[custom_col_groups] ([group_id], [display_name], [appearance_order]) Values (5, 'Document', 5)
GO
Insert into ***DBName***.[dbo].[datatypes] ([datatype_id]) Values ('Datetime')
Insert into ***DBName***.[dbo].[datatypes] ([datatype_id]) Values ('Number')
Insert into ***DBName***.[dbo].[datatypes] ([datatype_id]) Values ('Text')
GO
Insert into ***DBName***.[dbo].[doc_source_types] ([source_type_id], [display_name], [description]) Values (0, 'Path', 'URL, Filename, Folder  (Do not change.  This table is for data integrity only!  There is an enum in code with the same values.)')
Insert into ***DBName***.[dbo].[doc_source_types] ([source_type_id], [display_name], [description]) Values (1, 'SQL', 'SQL Statement whose first column is a list of URLs, Files, or Folders  (Do not change.  This table is for data integrity only!  There is an enum in code with the same values.)')
GO
Insert into ***DBName***.[dbo].[doc_success_codes] ([doc_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (0, 'Queued', NULL, -1, -1, NULL)
Insert into ***DBName***.[dbo].[doc_success_codes] ([doc_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (1, 'Failure', NULL, 0, 0.9999, NULL)
Insert into ***DBName***.[dbo].[doc_success_codes] ([doc_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (50, 'Partial Success', NULL, 1, 99.9999, NULL)
Insert into ***DBName***.[dbo].[doc_success_codes] ([doc_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (100, 'Success', NULL, 100, 100, NULL)
GO
Insert into ***DBName***.[dbo].[doc_types] ([doc_type_id], [description]) Values ('HTML', 'Normal HTML Document')
Insert into ***DBName***.[dbo].[doc_types] ([doc_type_id], [description]) Values ('Word', 'Microsoft Word Document')
GO
Insert into ***DBName***.[dbo].[entity_success_codes] ([entity_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (1, 'Failure', NULL, 0, 0.9999, NULL)
Insert into ***DBName***.[dbo].[entity_success_codes] ([entity_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (50, 'Partial Success', NULL, 1, 99.9999, NULL)
Insert into ***DBName***.[dbo].[entity_success_codes] ([entity_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (100, 'Success', NULL, 100, 100, NULL)
GO
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('ascx', '.NET Server Control', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('asmx', 'ASMX File', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('asp', 'Active Server Page', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('aspx', '.NET Active Server Page', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('cgi', 'Common Gateway Interface', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('doc', 'MS Word Document', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('gz', 'Zip File', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('htm', 'HTML File', 1, 1, 1, 1, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('html', 'HTML File', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('jhtml', 'Java HTML', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('jsp', 'Java Server Page', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('pdf', 'Adobe Acrobat Document', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('ps', 'Postscript Document', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('tar', 'TAR File', 0, 0, 0, 0, 0)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('txt', 'Text File', 0, 0, 0, 0, 1)
Insert into ***DBName***.[dbo].[file_extensions] ([file_ext], [description], [http_default], [file_system_default], [ftp_default], [unknown_default], [invalid_default]) Values ('zip', 'Zip File', 0, 0, 0, 0, 0)
GO
Insert into ***DBName***.[dbo].[job_success_codes] ([job_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (0, '', NULL, -2, -1, NULL)
Insert into ***DBName***.[dbo].[job_success_codes] ([job_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (1, 'Failure', NULL, 0, 0.9999, NULL)
Insert into ***DBName***.[dbo].[job_success_codes] ([job_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (50, 'Partial Success', NULL, 1, 99.9999, NULL)
Insert into ***DBName***.[dbo].[job_success_codes] ([job_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (100, 'Success', NULL, 100, 100, NULL)
GO
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('Access', 2025, 255, 59)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('Adabas', 3991, 4000, 512)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('DB2', 4005, 4000, 18)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('Default', 2025, 255, 59)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('FrontBase', 377681, 377681, 128)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('Informix', 32356, 255, 18)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('Kernel', 7800, 7800, 32)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('Microsoft.Jet.OLEDB.4.0', 2025, 255, 59)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('MSDAORA', 255000, 4000, 30)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('MSDAORA.1', 255000, 4000, 30)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('MSDAORA.2', 255000, 4000, 30)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('MSDASQL', 1960, 255, 18)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('MSDASQL.1', 1960, 255, 18)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('MSDASQL.2', 1960, 255, 18)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('MySQL', 65500, 255, 64)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('Oracle', 255000, 4000, 30)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('PostgreSQL', 103275, 8000000, 512)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('Solid', 2634, 65489, 254)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('SQLOLEDB', 8000, 8000, 128)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('SQLOLEDB.1', 8000, 8000, 128)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('SQLOLEDB.2', 8000, 8000, 128)
Insert into ***DBName***.[dbo].[providers] ([provider_id], [page_length], [max_varchar_size], [max_name_length]) Values ('Sybase', 1960, 255, 30)
GO
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('AffiliateID', 'vscape', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('AttributePath', NULL, 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('ConsolePath', 'C:\Program Files\Velocityscape Providus Demo\Console.exe', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('DefaultDownloadPath', 'C:\Program Files\Web Extractor\Download\', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('DPgEditPath', 'C:\Program Files\Velocityscape Providus Demo\DpgEdit.exe', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('EnableWebErrorReporting', 'True', 'bool', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('HelpFilePath', 'C:\Program Files\VelocityScape Providus Demo\Resources\VSProvidus.chm', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('InternetDefaultHomepage', 'http://www.velocityscape.com/providus/support/start.htm', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('LaunchDPageWizOnLoad', 'True', 'bool', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('LocalDefaultHomepage', '\resources\start.htm', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('PkgExecPath', 'C:\Program Files\Velocityscape Providus Demo\PkgExec.exe', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('PrintPreview_MarginBottom', '0.5', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('PrintPreview_MarginLeft', '0.5', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('PrintPreview_MarginRight', '0.5', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('PrintPreview_MarginTop', '0.5', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('PrintPreview_Orientation', '1', 'dword', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('ProvidusHomeUrl', 'http://www.velocityscape.com/providus/', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('ProvidusSupportUrl', 'http://www.velocityscape.com/providus/support/', 'string', NULL)

Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('ScriptDebuggerValOnStartup', 'yes', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('ShapeCnStr', 'Provider=MSDataShape;Persist Security Info=False;Data Source=.;Password=sa;User ID=sa;Initial Catalog=ProvidusDBDemo;Data Provider=SQLOLEDB','string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('ShowDPagePropsWiz', 'True', 'bool', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('ShowDSetPropsWiz', 'True', 'bool', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('ShowFieldPropsWiz', 'True', 'bool', NULL)Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('SolutionsUrl', 'http://www.velocityscape.com/solutions.aspx?prod=p3&aff=', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('StringFileCreatePath', 'C:\Program Files\Web Extractor\Temp\', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('TemplatePath', 'C:\Program Files\Web Extractor\Templates\', 'string', NULL)
Insert into ***DBName***.[dbo].[settings] ([name], [val], [datatype], [parent]) Values ('UseServerXML', 'False', 'bool', NULL)
GO
Insert into ***DBName***.[dbo].[task_src_types] ([task_src_type_id], [description]) Values (0, 'Path')
Insert into ***DBName***.[dbo].[task_src_types] ([task_src_type_id], [description]) Values (1, 'SQL')
Insert into ***DBName***.[dbo].[task_src_types] ([task_src_type_id], [description]) Values (2, 'DPage')
GO
Insert into ***DBName***.[dbo].[task_success_codes] ([task_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (0, '', NULL, -2, -1, NULL)
Insert into ***DBName***.[dbo].[task_success_codes] ([task_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (1, 'Failure', NULL, 0, 0.9999, NULL)
Insert into ***DBName***.[dbo].[task_success_codes] ([task_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (50, 'Partial Success', NULL, 1, 99.9999, NULL)
Insert into ***DBName***.[dbo].[task_success_codes] ([task_success_code_id], [display_name], [description], [min_val], [max_val], [image_index]) Values (100, 'Success', NULL, 100, 100, NULL)
GO
SET IDENTITY_INSERT ***DBName***.[dbo].[custom_columns] ON

Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (1, 5, 'MetaDoc.SourceUri', 'Source Location', 'The URL or filepath of the original document.', 'Text', 512, 'META_SRC_URI', 'Unavailable', 1, 1)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (3, 5, 'MetaDoc.DownloadComplete', 'Download Complete Time', 'The time when the document successully completed downloading.', 'Text', 24, 'META_DWNLD_FNSH', 'Unavailable', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (4, 5, 'MetaDoc.ExtractionStart', 'Extraction Start Time', 'The time when the document began extracting.', 'Text', 24, 'META_DOC_EXT_STRT', 'Unavailable', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (5, 5, '', 'Document Extraction Complete Time', 'The time that the extraction of the document completed', 'Text', 24, 'META_DOC_EXT_FNSH', 'N/A', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (7, 5, 'MetaDoc.LocalPath', 'Cache Path', 'The local path that the document was stored after download and during extraction.', 'Text', 512, 'META_DOC_CACH_PTH', 'Unavailable', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (8, 1, 'MetaJob.JobId', 'Package Id', 'The Globally Unique Identifier (GUID) of the package.', 'Text', 36, 'META_PKG_ID', 'N/A', 1, 1)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (9, 2, 'MetaTask.TaskId', 'Task Id', 'The Globally Unique Identifier (GUID) of the task.', 'Text', 36, 'META_TSK_ID', 'N/A', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (11, 1, 'MetaJob.JobStartTime', 'Package Start Time', 'The time when the package began executing.', 'Text', 24, 'META_PKG_STRT', 'Unavailable', 1, 1)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (12, 5, 'MetaDoc.DocId', 'Document Id', 'The Globally Unique Identifier (GUID) of the document as stored in relation to an instance of a package execution.', 'Text', 36, 'META_DOC_ID', 'Unavailable', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (13, 1, 'MetaJob.JobName', 'Package Name', 'The name of the package.', 'Text', 100, 'META_PKG_NME', 'N/A', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (14, 3, 'MetaDoc.DataPageName', 'Datapage Name', 'The name of the Datapage', 'Text', 100, 'META_DPAGE_NME', 'Unavailable', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (16, 3, 'MetaDoc.DataPageId', 'Datapage Id', 'The Globally Unique Identifier (GUID) of the Datapage', 'Text', 36, 'META_DPAGE_ID', 'Unavailable', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (17, 5, '', 'Document Success Code', 'The completion code for the document indicating success or a variety of full and partial failures', 'Text', 20, 'META_DOC_COMP_CDE', 'N/A', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (18, 4, 'MetaEntity.EntityId', 'Dataset ID', 'The Globally Unique Identifier (GUID) for the Dataset', 'Text', 36, 'META_DSET_ID', 'Unavailable', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (19, 4, '', 'iTable Success Code', 'The completion code for iTable indicating success or a variety of full or partial failures', 'Text', 20, 'META_DSET_COMP_CDE', 'Unavailable', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (20, 4, 'MetaEntity.OccurCount', 'Predicted Row Count', 'The number of rows the Dataset was predicted to have in a given document.', 'Text', 14, 'META_DSET_OCCUR_CT', 'Unavailable', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (21, 4, '', 'Dataset Extract Count', 'The number of rows for the Dataset that were actually extracted from a given document', 'Text', 14, 'META_DSET_ROW_CT', 'Unavailable', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (22, 1, '', 'Package Success Code', 'The completion code for Package indicating success or a variety of full or partial failures', 'Text', 20, 'META_PKG_COMP_CDE', 'N/A', 1, 0)
Insert into ***DBName***.[dbo].[custom_columns] ([custom_col_id], [group_id], [class_member_name], [display_name], [description], [datatype_id], [column_length], [column_name], [default_value], [appearance_order], [default_selection]) Values (23, 2, '', 'Task Success Code', 'The completion code of the Task', 'Text', 20, 'META_TSK_COMP_CDE', 'N/A', 1, 0)

SET IDENTITY_INSERT ***DBName***.[dbo].[custom_columns] OFF

GO
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('ascx', 'htm')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('asp', 'htm')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('aspx', 'htm')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('cgi', 'htm')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('doc', 'doc')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('gz', 'txt')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('htm', 'htm')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('html', 'htm')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('jhtml', 'htm')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('jsp', 'htm')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('pdf', 'txt')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('ps', 'txt')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('tar', 'txt')
Insert into ***DBName***.[dbo].[file_ext_map] ([url_file_ext], [save_as_file_ext]) Values ('zip', 'txt')
GO
SET IDENTITY_INSERT ***DBName***.[dbo].[highlights] ON

Insert into ***DBName***.[dbo].[highlights] ([highlight_id], [doc_type], [display_name], [description], [start_tag], [end_tag], [color], [include_tags], [enabled], [step], [style]) Values (1, 'HTML', 'Normal Text', '', '>', '<', 255, 0, 1, 100, NULL)
Insert into ***DBName***.[dbo].[highlights] ([highlight_id], [doc_type], [display_name], [description], [start_tag], [end_tag], [color], [include_tags], [enabled], [step], [style]) Values (2, 'HTML', 'Links', '', 'href="', '"', 16711680, 0, 1, 100, NULL)
Insert into ***DBName***.[dbo].[highlights] ([highlight_id], [doc_type], [display_name], [description], [start_tag], [end_tag], [color], [include_tags], [enabled], [step], [style]) Values (3, 'HTML', '<BR> Tags', '', '<br', '>', 33023, 1, 1, 1000, NULL)
Insert into ***DBName***.[dbo].[highlights] ([highlight_id], [doc_type], [display_name], [description], [start_tag], [end_tag], [color], [include_tags], [enabled], [step], [style]) Values (4, 'HTML', '<TD> Tags', '', '<TD', '>', 558932, 1, 1, 1000, NULL)
Insert into ***DBName***.[dbo].[highlights] ([highlight_id], [doc_type], [display_name], [description], [start_tag], [end_tag], [color], [include_tags], [enabled], [step], [style]) Values (5, 'HTML', '<TR> Tags', '', '<TR', '>', 33023, 1, 1, 1000, NULL)
Insert into ***DBName***.[dbo].[highlights] ([highlight_id], [doc_type], [display_name], [description], [start_tag], [end_tag], [color], [include_tags], [enabled], [step], [style]) Values (6, 'HTML', '<TABLE> Tags', '', '<TABLE', '>', 22345, 1, 1, 1000, NULL)
Insert into ***DBName***.[dbo].[highlights] ([highlight_id], [doc_type], [display_name], [description], [start_tag], [end_tag], [color], [include_tags], [enabled], [step], [style]) Values (7, 'HTML', 'Whole TD', '', '<TD', '</TD', 9999999, 0, 0, 10, NULL)
Insert into ***DBName***.[dbo].[highlights] ([highlight_id], [doc_type], [display_name], [description], [start_tag], [end_tag], [color], [include_tags], [enabled], [step], [style]) Values (8, 'HTML', 'Images', '', 'src="', '"', 16711680, 0, 1, 100, NULL)
Insert into ***DBName***.[dbo].[highlights] ([highlight_id], [doc_type], [display_name], [description], [start_tag], [end_tag], [color], [include_tags], [enabled], [step], [style]) Values (9, 'HTML', '</TD> Tags', '', '</TD', '>', 558932, 1, 1, 1000, NULL)
Insert into ***DBName***.[dbo].[highlights] ([highlight_id], [doc_type], [display_name], [description], [start_tag], [end_tag], [color], [include_tags], [enabled], [step], [style]) Values (10, 'HTML', '</TR> Tags', '', '</TR', '>', 33023, 1, 1, 1000, NULL)

SET IDENTITY_INSERT ***DBName***.[dbo].[highlights] OFF

GO

Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (8, 22)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (8, 23)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (9, 23)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (11, 22)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (11, 23)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (12, 17)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (12, 19)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (12, 20)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (12, 21)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (18, 19)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (18, 20)
Insert into ***DBName***.[dbo].[custom_col_dependencies] ([dependee], [depender]) Values (18, 21)
GO

