/****** Object:  Database ProvidusDB    Script Date: 2/20/2003 1:16:12 PM ******/
IF EXISTS (SELECT name FROM master.dbo.sysdatabases WHERE name = N'ProvidusDB')
	DROP DATABASE [ProvidusDB]
GO

CREATE DATABASE [ProvidusDB]  ON (NAME = N'ProvidusDB_Data', FILENAME = N'***DataPath***ProvidusDB_Data.MDF' , SIZE = 24, MAXSIZE = 2000, FILEGROWTH = 10%) LOG ON (NAME = N'ProvidusDB_Log', FILENAME = N'***DataPath***ProvidusDB_Log.LDF' , SIZE = 1, FILEGROWTH = 10%)
 COLLATE SQL_Latin1_General_CP1_CI_AS
GO

exec sp_dboption N'ProvidusDB', N'autoclose', N'true'
GO

exec sp_dboption N'ProvidusDB', N'bulkcopy', N'false'
GO

exec sp_dboption N'ProvidusDB', N'trunc. log', N'true'
GO

exec sp_dboption N'ProvidusDB', N'torn page detection', N'true'
GO

exec sp_dboption N'ProvidusDB', N'read only', N'false'
GO

exec sp_dboption N'ProvidusDB', N'dbo use', N'false'
GO

exec sp_dboption N'ProvidusDB', N'single', N'false'
GO

exec sp_dboption N'ProvidusDB', N'autoshrink', N'true'
GO

exec sp_dboption N'ProvidusDB', N'ANSI null default', N'false'
GO

exec sp_dboption N'ProvidusDB', N'recursive triggers', N'false'
GO

exec sp_dboption N'ProvidusDB', N'ANSI nulls', N'false'
GO

exec sp_dboption N'ProvidusDB', N'concat null yields null', N'false'
GO

exec sp_dboption N'ProvidusDB', N'cursor close on commit', N'false'
GO

exec sp_dboption N'ProvidusDB', N'default to local cursor', N'false'
GO

exec sp_dboption N'ProvidusDB', N'quoted identifier', N'false'
GO

exec sp_dboption N'ProvidusDB', N'ANSI warnings', N'false'
GO

exec sp_dboption N'ProvidusDB', N'auto create statistics', N'true'
GO

exec sp_dboption N'ProvidusDB', N'auto update statistics', N'true'
GO

use [ProvidusDB]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_ui_attributes_attributes]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[ui_attributes] DROP CONSTRAINT FK_ui_attributes_attributes
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_custom_columns_custom_col_groups]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[custom_columns] DROP CONSTRAINT FK_custom_columns_custom_col_groups
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_custom_col_dependencies_custom_columns]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[custom_col_dependencies] DROP CONSTRAINT FK_custom_col_dependencies_custom_columns
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_custom_col_dependencies_custom_columns1]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[custom_col_dependencies] DROP CONSTRAINT FK_custom_col_dependencies_custom_columns1
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_task_custom_cols_custom_columns]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[ent_custom_cols] DROP CONSTRAINT FK_task_custom_cols_custom_columns
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_entities_datapages]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[entities] DROP CONSTRAINT FK_entities_datapages
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_ui_datapages_datapages]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[ui_datapages] DROP CONSTRAINT FK_ui_datapages_datapages
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_custom_columns_datatypes]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[custom_columns] DROP CONSTRAINT FK_custom_columns_datatypes
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_task_doc_locations_doc_source_types]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[task_doc_locations] DROP CONSTRAINT FK_task_doc_locations_doc_source_types
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_task_instance_docs_doc_success_codes]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[task_instance_docs] DROP CONSTRAINT FK_task_instance_docs_doc_success_codes
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_highlights_doc_types]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[highlights] DROP CONSTRAINT FK_highlights_doc_types
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_attributes_entities]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[attributes] DROP CONSTRAINT FK_attributes_entities
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_ent_custom_cols_entities]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[ent_custom_cols] DROP CONSTRAINT FK_ent_custom_cols_entities
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_ui_entities_entities]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[ui_entities] DROP CONSTRAINT FK_ui_entities_entities
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_task_inst_doc_results_by_ent_entity_success_codes]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[task_inst_doc_results_by_ent] DROP CONSTRAINT FK_task_inst_doc_results_by_ent_entity_success_codes
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_file_ext_map_file_extensions]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[file_ext_map] DROP CONSTRAINT FK_file_ext_map_file_extensions
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_mime_type_to_file_ext_map_file_extensions]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[mime_type_to_file_ext_map] DROP CONSTRAINT FK_mime_type_to_file_ext_map_file_extensions
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_task_instances_job_instances]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[task_instances] DROP CONSTRAINT FK_task_instances_job_instances
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_job_instances_job_success_codes]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[job_instances] DROP CONSTRAINT FK_job_instances_job_success_codes
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_tasks_jobs]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[tasks] DROP CONSTRAINT FK_tasks_jobs
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_settings_settings]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[settings] DROP CONSTRAINT FK_settings_settings
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_task_inst_doc_results_by_ent_task_instance_docs]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[task_inst_doc_results_by_ent] DROP CONSTRAINT FK_task_inst_doc_results_by_ent_task_instance_docs
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_task_instance_docs_task_instances]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[task_instance_docs] DROP CONSTRAINT FK_task_instance_docs_task_instances
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_tasks_task_src_types]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[tasks] DROP CONSTRAINT FK_tasks_task_src_types
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_task_instances_task_success_codes]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[task_instances] DROP CONSTRAINT FK_task_instances_task_success_codes
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_task_doc_locations_tasks]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[task_doc_locations] DROP CONSTRAINT FK_task_doc_locations_tasks
GO

/****** Object:  Stored Procedure dbo.usp_CustCol_DelAllForEnt    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_CustCol_DelAllForEnt]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_CustCol_DelAllForEnt]
GO

/****** Object:  Stored Procedure dbo.usp_CustCol_Get    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_CustCol_Get]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_CustCol_Get]
GO

/****** Object:  Stored Procedure dbo.usp_CustCol_GetColsForEnt    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_CustCol_GetColsForEnt]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_CustCol_GetColsForEnt]
GO

/****** Object:  Stored Procedure dbo.usp_CustCol_GetDefaults    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_CustCol_GetDefaults]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_CustCol_GetDefaults]
GO

/****** Object:  Stored Procedure dbo.usp_CustCol_InsForEnt    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_CustCol_InsForEnt]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_CustCol_InsForEnt]
GO

/****** Object:  Stored Procedure dbo.usp_DelAllDocSources    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_DelAllDocSources]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_DelAllDocSources]
GO

/****** Object:  Stored Procedure dbo.usp_GetAllDPages    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetAllDPages]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetAllDPages]
GO

/****** Object:  Stored Procedure dbo.usp_GetDocSource    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetDocSource]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetDocSource]
GO

/****** Object:  Stored Procedure dbo.usp_GetDocSources    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetDocSources]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetDocSources]
GO

/****** Object:  Stored Procedure dbo.usp_GetDownloadedDocs    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetDownloadedDocs]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetDownloadedDocs]
GO

/****** Object:  Stored Procedure dbo.usp_GetFileExtFromMime    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetFileExtFromMime]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetFileExtFromMime]
GO

/****** Object:  Stored Procedure dbo.usp_GetHiLiters    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetHiLiters]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetHiLiters]
GO

/****** Object:  Stored Procedure dbo.usp_GetJobsThatUseDpage    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetJobsThatUseDpage]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetJobsThatUseDpage]
GO

/****** Object:  Stored Procedure dbo.usp_GetNonDownloadedDocs    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetNonDownloadedDocs]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetNonDownloadedDocs]
GO

/****** Object:  Stored Procedure dbo.usp_GetRunningJobs    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetRunningJobs]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetRunningJobs]
GO

/****** Object:  Stored Procedure dbo.usp_GetTasks    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetTasks]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetTasks]
GO

/****** Object:  Stored Procedure dbo.usp_GetTotalDocCount    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_GetTotalDocCount]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_GetTotalDocCount]
GO

/****** Object:  Stored Procedure dbo.usp_Meta_GetDocSuccessCode    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_Meta_GetDocSuccessCode]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_Meta_GetDocSuccessCode]
GO

/****** Object:  Stored Procedure dbo.usp_Meta_GetEntitySuccessCode    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_Meta_GetEntitySuccessCode]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_Meta_GetEntitySuccessCode]
GO

/****** Object:  Stored Procedure dbo.usp_Meta_GetJobSuccessCode    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_Meta_GetJobSuccessCode]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_Meta_GetJobSuccessCode]
GO

/****** Object:  Stored Procedure dbo.usp_Meta_GetTaskSuccessCode    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_Meta_GetTaskSuccessCode]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_Meta_GetTaskSuccessCode]
GO

/****** Object:  Stored Procedure dbo.usp_Progress_GetDocStatusesForJobInstance    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_Progress_GetDocStatusesForJobInstance]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_Progress_GetDocStatusesForJobInstance]
GO

/****** Object:  Stored Procedure dbo.usp_Progress_GetDocStatusesForTaskInstance    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_Progress_GetDocStatusesForTaskInstance]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_Progress_GetDocStatusesForTaskInstance]
GO

/****** Object:  Stored Procedure dbo.usp_Progress_GetEntityStatusesForDoc    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_Progress_GetEntityStatusesForDoc]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_Progress_GetEntityStatusesForDoc]
GO

/****** Object:  Stored Procedure dbo.usp_Progress_GetEntityStatusesForJobInstance    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_Progress_GetEntityStatusesForJobInstance]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_Progress_GetEntityStatusesForJobInstance]
GO

/****** Object:  Stored Procedure dbo.usp_Progress_GetTaskStatusesForJobInstance    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usp_Progress_GetTaskStatusesForJobInstance]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[usp_Progress_GetTaskStatusesForJobInstance]
GO

/****** Object:  Table [dbo].[attributes]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[attributes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[attributes]
GO

/****** Object:  Table [dbo].[custom_col_dependencies]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[custom_col_dependencies]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[custom_col_dependencies]
GO

/****** Object:  Table [dbo].[custom_col_groups]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[custom_col_groups]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[custom_col_groups]
GO

/****** Object:  Table [dbo].[custom_columns]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[custom_columns]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[custom_columns]
GO

/****** Object:  Table [dbo].[datapages]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[datapages]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[datapages]
GO

/****** Object:  Table [dbo].[datatypes]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[datatypes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[datatypes]
GO

/****** Object:  Table [dbo].[doc_source_types]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[doc_source_types]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[doc_source_types]
GO

/****** Object:  Table [dbo].[doc_success_codes]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[doc_success_codes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[doc_success_codes]
GO

/****** Object:  Table [dbo].[doc_types]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[doc_types]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[doc_types]
GO

/****** Object:  Table [dbo].[ent_custom_cols]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ent_custom_cols]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[ent_custom_cols]
GO

/****** Object:  Table [dbo].[entities]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[entities]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[entities]
GO

/****** Object:  Table [dbo].[entity_success_codes]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[entity_success_codes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[entity_success_codes]
GO

/****** Object:  Table [dbo].[file_ext_map]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[file_ext_map]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[file_ext_map]
GO

/****** Object:  Table [dbo].[file_extensions]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[file_extensions]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[file_extensions]
GO

/****** Object:  Table [dbo].[highlights]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[highlights]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[highlights]
GO

/****** Object:  Table [dbo].[job_instances]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[job_instances]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[job_instances]
GO

/****** Object:  Table [dbo].[job_success_codes]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[job_success_codes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[job_success_codes]
GO

/****** Object:  Table [dbo].[jobs]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[jobs]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[jobs]
GO

/****** Object:  Table [dbo].[mime_type_to_file_ext_map]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[mime_type_to_file_ext_map]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[mime_type_to_file_ext_map]
GO

/****** Object:  Table [dbo].[providers]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[providers]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[providers]
GO

/****** Object:  Table [dbo].[settings]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[settings]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[settings]
GO

/****** Object:  Table [dbo].[task_doc_locations]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[task_doc_locations]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[task_doc_locations]
GO

/****** Object:  Table [dbo].[task_inst_doc_results_by_ent]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[task_inst_doc_results_by_ent]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[task_inst_doc_results_by_ent]
GO

/****** Object:  Table [dbo].[task_instance_docs]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[task_instance_docs]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[task_instance_docs]
GO

/****** Object:  Table [dbo].[task_instances]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[task_instances]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[task_instances]
GO

/****** Object:  Table [dbo].[task_src_types]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[task_src_types]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[task_src_types]
GO

/****** Object:  Table [dbo].[task_success_codes]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[task_success_codes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[task_success_codes]
GO

/****** Object:  Table [dbo].[tasks]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tasks]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tasks]
GO

/****** Object:  Table [dbo].[ui_attributes]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ui_attributes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[ui_attributes]
GO

/****** Object:  Table [dbo].[ui_datapages]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ui_datapages]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[ui_datapages]
GO

/****** Object:  Table [dbo].[ui_entities]    Script Date: 2/20/2003 1:16:14 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ui_entities]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[ui_entities]
GO

/****** Object:  Login providus_sys    Script Date: 2/20/2003 1:16:13 PM ******/
if not exists (select * from master.dbo.syslogins where loginname = N'providus_sys')
BEGIN
	declare @logindb nvarchar(132), @loginlang nvarchar(132) select @logindb = N'master', @loginlang = N'us_english'
	if @logindb is null or not exists (select * from master.dbo.sysdatabases where name = @logindb)
		select @logindb = N'master'
	if @loginlang is null or (not exists (select * from master.dbo.syslanguages where name = @loginlang) and @loginlang <> N'us_english')
		select @loginlang = @@language
	exec sp_addlogin N'providus_sys', 'machupicchu', @logindb, @loginlang
END
GO

/****** Object:  Login providus_sys    Script Date: 2/20/2003 1:16:14 PM ******/
exec sp_addsrvrolemember N'providus_sys', securityadmin
GO

/****** Object:  Login providus_sys    Script Date: 2/20/2003 1:16:14 PM ******/
exec sp_addsrvrolemember N'providus_sys', sysadmin
GO

/****** Object:  Login providus_sys    Script Date: 2/20/2003 1:16:14 PM ******/
exec sp_addsrvrolemember N'providus_sys', dbcreator
GO

/****** Object:  Login providus_sys    Script Date: 2/20/2003 1:16:14 PM ******/
exec sp_addsrvrolemember N'providus_sys', bulkadmin
GO

/****** Object:  User dbo    Script Date: 2/20/2003 1:16:14 PM ******/
/****** Object:  User providus_sys    Script Date: 2/20/2003 1:16:14 PM ******/
if not exists (select * from dbo.sysusers where name = N'providus_sys' and uid < 16382)
	EXEC sp_grantdbaccess N'providus_sys', N'providus_sys'
GO

/****** Object:  User providus_sys    Script Date: 2/20/2003 1:16:14 PM ******/
exec sp_addrolemember N'db_owner', N'providus_sys'
GO

/****** Object:  Table [dbo].[attributes]    Script Date: 2/20/2003 1:16:23 PM ******/
CREATE TABLE [dbo].[attributes] (
	[attribute_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[entity_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[column_name] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[start_tag] [varchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[end_tag] [varchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[step] [smallint] NULL ,
	[is_pk] [bit] NULL ,
	[column_type] [char] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[column_size] [int] NULL ,
	[is_optional] [bit] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[custom_col_dependencies]    Script Date: 2/20/2003 1:16:25 PM ******/
CREATE TABLE [dbo].[custom_col_dependencies] (
	[dependee] [int] NOT NULL ,
	[depender] [int] NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[custom_col_groups]    Script Date: 2/20/2003 1:16:25 PM ******/
CREATE TABLE [dbo].[custom_col_groups] (
	[group_id] [tinyint] NOT NULL ,
	[display_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[appearance_order] [tinyint] NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[custom_columns]    Script Date: 2/20/2003 1:16:25 PM ******/
CREATE TABLE [dbo].[custom_columns] (
	[custom_col_id] [int] IDENTITY (1, 1) NOT NULL ,
	[group_id] [tinyint] NOT NULL ,
	[class_member_name] [varchar] (80) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[display_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[datatype_id] [char] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[column_length] [int] NOT NULL ,
	[column_name] [varchar] (128) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[default_value] [varchar] (512) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[appearance_order] [tinyint] NULL ,
	[default_selection] [bit] NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[datapages]    Script Date: 2/20/2003 1:16:25 PM ******/
CREATE TABLE [dbo].[datapages] (
	[datapage_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[display_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[description] [varchar] (7380) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[db_name] [varchar] (512) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[date_created] [datetime] NULL ,
	[date_modified] [datetime] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[datatypes]    Script Date: 2/20/2003 1:16:25 PM ******/
CREATE TABLE [dbo].[datatypes] (
	[datatype_id] [char] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[doc_source_types]    Script Date: 2/20/2003 1:16:25 PM ******/
CREATE TABLE [dbo].[doc_source_types] (
	[source_type_id] [smallint] NOT NULL ,
	[display_name] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[description] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[doc_success_codes]    Script Date: 2/20/2003 1:16:26 PM ******/
CREATE TABLE [dbo].[doc_success_codes] (
	[doc_success_code_id] [int] NOT NULL ,
	[display_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [varchar] (200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[min_val] [float] NOT NULL ,
	[max_val] [float] NOT NULL ,
	[image_index] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[doc_types]    Script Date: 2/20/2003 1:16:26 PM ******/
CREATE TABLE [dbo].[doc_types] (
	[doc_type_id] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [nvarchar] (200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[ent_custom_cols]    Script Date: 2/20/2003 1:16:26 PM ******/
CREATE TABLE [dbo].[ent_custom_cols] (
	[ent_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[custom_col_id] [int] NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[entities]    Script Date: 2/20/2003 1:16:26 PM ******/
CREATE TABLE [dbo].[entities] (
	[entity_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[datapage_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[entity_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[description] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[table_name] [varchar] (256) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[pk_column_name] [varchar] (128) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[db_conn_str] [varchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[init_string] [varchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[parent_entity_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[child_order_on_page] [smallint] NULL ,
	[is_pk_surrogate] [bit] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[entity_success_codes]    Script Date: 2/20/2003 1:16:26 PM ******/
CREATE TABLE [dbo].[entity_success_codes] (
	[entity_success_code_id] [int] NOT NULL ,
	[display_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [varchar] (200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[min_val] [float] NOT NULL ,
	[max_val] [float] NOT NULL ,
	[image_index] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[file_ext_map]    Script Date: 2/20/2003 1:16:26 PM ******/
CREATE TABLE [dbo].[file_ext_map] (
	[url_file_ext] [varchar] (6) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[save_as_file_ext] [varchar] (6) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[file_extensions]    Script Date: 2/20/2003 1:16:27 PM ******/
CREATE TABLE [dbo].[file_extensions] (
	[file_ext] [varchar] (6) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[http_default] [bit] NULL ,
	[file_system_default] [bit] NULL ,
	[ftp_default] [bit] NULL ,
	[unknown_default] [bit] NULL ,
	[invalid_default] [bit] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[highlights]    Script Date: 2/20/2003 1:16:27 PM ******/
CREATE TABLE [dbo].[highlights] (
	[highlight_id] [int] IDENTITY (1, 1) NOT NULL ,
	[doc_type] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[display_name] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [nvarchar] (200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[start_tag] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[end_tag] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[color] [int] NOT NULL ,
	[include_tags] [bit] NOT NULL ,
	[enabled] [bit] NOT NULL ,
	[step] [int] NOT NULL ,
	[style] [int] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[job_instances]    Script Date: 2/20/2003 1:16:27 PM ******/
CREATE TABLE [dbo].[job_instances] (
	[job_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[job_start_time] [datetime] NOT NULL ,
	[job_completion_time] [datetime] NULL ,
	[completion_code] [int] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[job_success_codes]    Script Date: 2/20/2003 1:16:27 PM ******/
CREATE TABLE [dbo].[job_success_codes] (
	[job_success_code_id] [int] NOT NULL ,
	[display_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [varchar] (200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[min_val] [float] NOT NULL ,
	[max_val] [float] NOT NULL ,
	[image_index] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[jobs]    Script Date: 2/20/2003 1:16:27 PM ******/
CREATE TABLE [dbo].[jobs] (
	[job_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[job_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [varchar] (7800) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[date_created] [datetime] NULL ,
	[date_modified] [datetime] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[mime_type_to_file_ext_map]    Script Date: 2/20/2003 1:16:28 PM ******/
CREATE TABLE [dbo].[mime_type_to_file_ext_map] (
	[mime_type] [varchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[file_ext] [varchar] (6) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[providers]    Script Date: 2/20/2003 1:16:28 PM ******/
CREATE TABLE [dbo].[providers] (
	[provider_id] [varchar] (200) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[page_length] [int] NOT NULL ,
	[max_varchar_size] [int] NOT NULL ,
	[max_name_length] [int] NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[settings]    Script Date: 2/20/2003 1:16:28 PM ******/
CREATE TABLE [dbo].[settings] (
	[name] [nvarchar] (256) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[val] [nvarchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[datatype] [varchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[parent] [nvarchar] (256) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[task_doc_locations]    Script Date: 2/20/2003 1:16:28 PM ******/
CREATE TABLE [dbo].[task_doc_locations] (
	[doc_location_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[task_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[source_type] [smallint] NOT NULL ,
	[source] [varchar] (5500) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[conn_str] [varchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[db_name] [varchar] (128) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[task_inst_doc_results_by_ent]    Script Date: 2/20/2003 1:16:28 PM ******/
CREATE TABLE [dbo].[task_inst_doc_results_by_ent] (
	[doc_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[entity_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ent_occur_count] [int] NULL ,
	[ent_extract_count] [int] NULL ,
	[avg_success_coeff] [float] NULL ,
	[success_code] [int] NULL ,
	[error_count] [int] NULL ,
	[avg_error_count] [float] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[task_instance_docs]    Script Date: 2/20/2003 1:16:28 PM ******/
CREATE TABLE [dbo].[task_instance_docs] (
	[doc_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[task_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[job_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[job_start_time] [datetime] NOT NULL ,
	[uri] [varchar] (5500) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[temp_uri] [varchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[copy_completion_code] [varchar] (200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[copy_completion_time] [datetime] NULL ,
	[doc_start_time] [datetime] NULL ,
	[doc_completion_time] [datetime] NULL ,
	[copy_try_count] [smallint] NULL ,
	[extraction_completion_code] [int] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[task_instances]    Script Date: 2/20/2003 1:16:29 PM ******/
CREATE TABLE [dbo].[task_instances] (
	[task_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[job_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[job_start_time] [datetime] NOT NULL ,
	[task_start_time] [datetime] NULL ,
	[task_completion_time] [datetime] NULL ,
	[completion_code] [int] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[task_src_types]    Script Date: 2/20/2003 1:16:29 PM ******/
CREATE TABLE [dbo].[task_src_types] (
	[task_src_type_id] [tinyint] NOT NULL ,
	[description] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[task_success_codes]    Script Date: 2/20/2003 1:16:29 PM ******/
CREATE TABLE [dbo].[task_success_codes] (
	[task_success_code_id] [int] NOT NULL ,
	[display_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [varchar] (200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[min_val] [float] NOT NULL ,
	[max_val] [float] NOT NULL ,
	[image_index] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[tasks]    Script Date: 2/20/2003 1:16:29 PM ******/
CREATE TABLE [dbo].[tasks] (
	[task_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[job_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[task_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [varchar] (7800) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[datapage_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[step] [int] NULL ,
	[source_type] [tinyint] NULL ,
	[throttle_wait_msecs] [int] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[ui_attributes]    Script Date: 2/20/2003 1:16:29 PM ******/
CREATE TABLE [dbo].[ui_attributes] (
	[attribute_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[display_name] [varchar] (256) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[description] [varchar] (512) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[selection_start] [int] NULL ,
	[selection_length] [int] NULL ,
	[sample_attribute_start] [int] NULL ,
	[sample_attribute_length] [int] NULL ,
	[sub_selection_attrib_start] [int] NULL ,
	[sample_attribute_text] [varchar] (6000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[start_tag_min_length] [int] NULL ,
	[end_tag_min_length] [int] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[ui_datapages]    Script Date: 2/20/2003 1:16:29 PM ******/
CREATE TABLE [dbo].[ui_datapages] (
	[datapage_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[template_filename] [varchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[template_path] [varchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[template_url] [varchar] (3000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[calculate_object_names] [bit] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[ui_entities]    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE TABLE [dbo].[ui_entities] (
	[entity_id] [char] (36) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[start] [int] NULL ,
	[end_pos] [int] NULL ,
	[occur_count] [int] NULL ,
	[auto_calc_col_size] [bit] NULL ,
	[SelStart] [int] NULL ,
	[SelLength] [int] NULL ,
	[SubSelStart] [int] NULL ,
	[SubSelLength] [int] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[attributes] WITH NOCHECK ADD 
	CONSTRAINT [PK_attributes] PRIMARY KEY  CLUSTERED 
	(
		[attribute_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[custom_col_dependencies] WITH NOCHECK ADD 
	CONSTRAINT [PK_custom_col_dependencies] PRIMARY KEY  CLUSTERED 
	(
		[dependee],
		[depender]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[custom_col_groups] WITH NOCHECK ADD 
	CONSTRAINT [PK_custom_col_groups] PRIMARY KEY  CLUSTERED 
	(
		[group_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[custom_columns] WITH NOCHECK ADD 
	CONSTRAINT [PK_custom_columns] PRIMARY KEY  CLUSTERED 
	(
		[custom_col_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[datapages] WITH NOCHECK ADD 
	CONSTRAINT [PK_datapages] PRIMARY KEY  CLUSTERED 
	(
		[datapage_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[datatypes] WITH NOCHECK ADD 
	CONSTRAINT [PK_datatypes] PRIMARY KEY  CLUSTERED 
	(
		[datatype_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[doc_source_types] WITH NOCHECK ADD 
	CONSTRAINT [PK_doc_source_types] PRIMARY KEY  CLUSTERED 
	(
		[source_type_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[doc_success_codes] WITH NOCHECK ADD 
	CONSTRAINT [PK_doc_success_codes] PRIMARY KEY  CLUSTERED 
	(
		[doc_success_code_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[doc_types] WITH NOCHECK ADD 
	CONSTRAINT [PK_doc_types] PRIMARY KEY  CLUSTERED 
	(
		[doc_type_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[ent_custom_cols] WITH NOCHECK ADD 
	CONSTRAINT [PK_task_custom_cols] PRIMARY KEY  CLUSTERED 
	(
		[ent_id],
		[custom_col_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[entities] WITH NOCHECK ADD 
	CONSTRAINT [PK_entities] PRIMARY KEY  CLUSTERED 
	(
		[entity_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[entity_success_codes] WITH NOCHECK ADD 
	CONSTRAINT [PK_entity_success_codes] PRIMARY KEY  CLUSTERED 
	(
		[entity_success_code_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[file_ext_map] WITH NOCHECK ADD 
	CONSTRAINT [PK_save_as_file_ext] PRIMARY KEY  CLUSTERED 
	(
		[url_file_ext]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[file_extensions] WITH NOCHECK ADD 
	CONSTRAINT [PK_file_extensions] PRIMARY KEY  CLUSTERED 
	(
		[file_ext]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[highlights] WITH NOCHECK ADD 
	CONSTRAINT [PK_highlights] PRIMARY KEY  CLUSTERED 
	(
		[highlight_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[job_instances] WITH NOCHECK ADD 
	CONSTRAINT [PK_job_instances] PRIMARY KEY  CLUSTERED 
	(
		[job_id],
		[job_start_time]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[job_success_codes] WITH NOCHECK ADD 
	CONSTRAINT [PK_job_success_codes] PRIMARY KEY  CLUSTERED 
	(
		[job_success_code_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[jobs] WITH NOCHECK ADD 
	CONSTRAINT [PK_jobs] PRIMARY KEY  CLUSTERED 
	(
		[job_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[mime_type_to_file_ext_map] WITH NOCHECK ADD 
	CONSTRAINT [PK_mime_type_to_file_ext_map] PRIMARY KEY  CLUSTERED 
	(
		[mime_type],
		[file_ext]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[providers] WITH NOCHECK ADD 
	CONSTRAINT [PK_providers] PRIMARY KEY  CLUSTERED 
	(
		[provider_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[settings] WITH NOCHECK ADD 
	CONSTRAINT [PK_settings] PRIMARY KEY  CLUSTERED 
	(
		[name]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[task_doc_locations] WITH NOCHECK ADD 
	CONSTRAINT [PK_task_doc_locations] PRIMARY KEY  CLUSTERED 
	(
		[doc_location_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[task_instance_docs] WITH NOCHECK ADD 
	CONSTRAINT [PK_task_instance_docs] PRIMARY KEY  CLUSTERED 
	(
		[doc_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[task_instances] WITH NOCHECK ADD 
	CONSTRAINT [PK_task_instances] PRIMARY KEY  CLUSTERED 
	(
		[task_id],
		[job_id],
		[job_start_time]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[task_src_types] WITH NOCHECK ADD 
	CONSTRAINT [PK_task_src_types] PRIMARY KEY  CLUSTERED 
	(
		[task_src_type_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[task_success_codes] WITH NOCHECK ADD 
	CONSTRAINT [PK_task_success_codes] PRIMARY KEY  CLUSTERED 
	(
		[task_success_code_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[tasks] WITH NOCHECK ADD 
	CONSTRAINT [PK_tasks] PRIMARY KEY  CLUSTERED 
	(
		[task_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[ui_attributes] WITH NOCHECK ADD 
	CONSTRAINT [PK_ui_attributes] PRIMARY KEY  CLUSTERED 
	(
		[attribute_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[ui_datapages] WITH NOCHECK ADD 
	CONSTRAINT [PK_ui_datapages] PRIMARY KEY  CLUSTERED 
	(
		[datapage_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[ui_entities] WITH NOCHECK ADD 
	CONSTRAINT [PK_ui_entities] PRIMARY KEY  CLUSTERED 
	(
		[entity_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[job_instances] WITH NOCHECK ADD 
	CONSTRAINT [DF_job_instances_job_id] DEFAULT (newid()) FOR [job_id]
GO

ALTER TABLE [dbo].[jobs] WITH NOCHECK ADD 
	CONSTRAINT [DF_jobs_job_id] DEFAULT (newid()) FOR [job_id]
GO

ALTER TABLE [dbo].[task_doc_locations] WITH NOCHECK ADD 
	CONSTRAINT [DF_task_doc_locations_doc_location_id] DEFAULT (newid()) FOR [doc_location_id]
GO

ALTER TABLE [dbo].[task_instance_docs] WITH NOCHECK ADD 
	CONSTRAINT [DF_task_instance_docs_doc_id] DEFAULT (newid()) FOR [doc_id]
GO

ALTER TABLE [dbo].[tasks] WITH NOCHECK ADD 
	CONSTRAINT [DF_tasks_task_id] DEFAULT (newid()) FOR [task_id]
GO

ALTER TABLE [dbo].[ui_entities] WITH NOCHECK ADD 
	CONSTRAINT [DF__ui_entiti__SelSt__0D7A0286] DEFAULT (0) FOR [SelStart],
	CONSTRAINT [DF__ui_entiti__SelLe__0E6E26BF] DEFAULT (0) FOR [SelLength],
	CONSTRAINT [DF__ui_entiti__SubSe__0F624AF8] DEFAULT (0) FOR [SubSelStart],
	CONSTRAINT [DF__ui_entiti__SubSe__10566F31] DEFAULT (0) FOR [SubSelLength]
GO

ALTER TABLE [dbo].[attributes] ADD 
	CONSTRAINT [FK_attributes_entities] FOREIGN KEY 
	(
		[entity_id]
	) REFERENCES [dbo].[entities] (
		[entity_id]
	) ON DELETE CASCADE  ON UPDATE CASCADE 
GO

ALTER TABLE [dbo].[custom_col_dependencies] ADD 
	CONSTRAINT [FK_custom_col_dependencies_custom_columns] FOREIGN KEY 
	(
		[dependee]
	) REFERENCES [dbo].[custom_columns] (
		[custom_col_id]
	),
	CONSTRAINT [FK_custom_col_dependencies_custom_columns1] FOREIGN KEY 
	(
		[depender]
	) REFERENCES [dbo].[custom_columns] (
		[custom_col_id]
	) ON DELETE CASCADE  ON UPDATE CASCADE 
GO

ALTER TABLE [dbo].[custom_columns] ADD 
	CONSTRAINT [FK_custom_columns_custom_col_groups] FOREIGN KEY 
	(
		[group_id]
	) REFERENCES [dbo].[custom_col_groups] (
		[group_id]
	) ON UPDATE CASCADE ,
	CONSTRAINT [FK_custom_columns_datatypes] FOREIGN KEY 
	(
		[datatype_id]
	) REFERENCES [dbo].[datatypes] (
		[datatype_id]
	) ON UPDATE CASCADE 
GO

ALTER TABLE [dbo].[ent_custom_cols] ADD 
	CONSTRAINT [FK_ent_custom_cols_entities] FOREIGN KEY 
	(
		[ent_id]
	) REFERENCES [dbo].[entities] (
		[entity_id]
	) ON DELETE CASCADE  ON UPDATE CASCADE ,
	CONSTRAINT [FK_task_custom_cols_custom_columns] FOREIGN KEY 
	(
		[custom_col_id]
	) REFERENCES [dbo].[custom_columns] (
		[custom_col_id]
	) ON DELETE CASCADE  ON UPDATE CASCADE 
GO

ALTER TABLE [dbo].[entities] ADD 
	CONSTRAINT [FK_entities_datapages] FOREIGN KEY 
	(
		[datapage_id]
	) REFERENCES [dbo].[datapages] (
		[datapage_id]
	) ON DELETE CASCADE  ON UPDATE CASCADE 
GO

ALTER TABLE [dbo].[file_ext_map] ADD 
	CONSTRAINT [FK_file_ext_map_file_extensions] FOREIGN KEY 
	(
		[url_file_ext]
	) REFERENCES [dbo].[file_extensions] (
		[file_ext]
	)
GO

ALTER TABLE [dbo].[highlights] ADD 
	CONSTRAINT [FK_highlights_doc_types] FOREIGN KEY 
	(
		[doc_type]
	) REFERENCES [dbo].[doc_types] (
		[doc_type_id]
	)
GO

ALTER TABLE [dbo].[job_instances] ADD 
	CONSTRAINT [FK_job_instances_job_success_codes] FOREIGN KEY 
	(
		[completion_code]
	) REFERENCES [dbo].[job_success_codes] (
		[job_success_code_id]
	) ON UPDATE CASCADE 
GO

ALTER TABLE [dbo].[mime_type_to_file_ext_map] ADD 
	CONSTRAINT [FK_mime_type_to_file_ext_map_file_extensions] FOREIGN KEY 
	(
		[file_ext]
	) REFERENCES [dbo].[file_extensions] (
		[file_ext]
	)
GO

ALTER TABLE [dbo].[settings] ADD 
	CONSTRAINT [FK_settings_settings] FOREIGN KEY 
	(
		[parent]
	) REFERENCES [dbo].[settings] (
		[name]
	)
GO

ALTER TABLE [dbo].[task_doc_locations] ADD 
	CONSTRAINT [FK_task_doc_locations_doc_source_types] FOREIGN KEY 
	(
		[source_type]
	) REFERENCES [dbo].[doc_source_types] (
		[source_type_id]
	),
	CONSTRAINT [FK_task_doc_locations_tasks] FOREIGN KEY 
	(
		[task_id]
	) REFERENCES [dbo].[tasks] (
		[task_id]
	) ON DELETE CASCADE  ON UPDATE CASCADE 
GO

ALTER TABLE [dbo].[task_inst_doc_results_by_ent] ADD 
	CONSTRAINT [FK_task_inst_doc_results_by_ent_entity_success_codes] FOREIGN KEY 
	(
		[success_code]
	) REFERENCES [dbo].[entity_success_codes] (
		[entity_success_code_id]
	) ON UPDATE CASCADE ,
	CONSTRAINT [FK_task_inst_doc_results_by_ent_task_instance_docs] FOREIGN KEY 
	(
		[doc_id]
	) REFERENCES [dbo].[task_instance_docs] (
		[doc_id]
	)
GO

ALTER TABLE [dbo].[task_instance_docs] ADD 
	CONSTRAINT [FK_task_instance_docs_doc_success_codes] FOREIGN KEY 
	(
		[extraction_completion_code]
	) REFERENCES [dbo].[doc_success_codes] (
		[doc_success_code_id]
	) ON UPDATE CASCADE ,
	CONSTRAINT [FK_task_instance_docs_task_instances] FOREIGN KEY 
	(
		[task_id],
		[job_id],
		[job_start_time]
	) REFERENCES [dbo].[task_instances] (
		[task_id],
		[job_id],
		[job_start_time]
	)
GO

ALTER TABLE [dbo].[task_instances] ADD 
	CONSTRAINT [FK_task_instances_job_instances] FOREIGN KEY 
	(
		[job_id],
		[job_start_time]
	) REFERENCES [dbo].[job_instances] (
		[job_id],
		[job_start_time]
	),
	CONSTRAINT [FK_task_instances_task_success_codes] FOREIGN KEY 
	(
		[completion_code]
	) REFERENCES [dbo].[task_success_codes] (
		[task_success_code_id]
	) ON UPDATE CASCADE 
GO

ALTER TABLE [dbo].[tasks] ADD 
	CONSTRAINT [FK_tasks_jobs] FOREIGN KEY 
	(
		[job_id]
	) REFERENCES [dbo].[jobs] (
		[job_id]
	) ON DELETE CASCADE  ON UPDATE CASCADE ,
	CONSTRAINT [FK_tasks_task_src_types] FOREIGN KEY 
	(
		[source_type]
	) REFERENCES [dbo].[task_src_types] (
		[task_src_type_id]
	)
GO

ALTER TABLE [dbo].[ui_attributes] ADD 
	CONSTRAINT [FK_ui_attributes_attributes] FOREIGN KEY 
	(
		[attribute_id]
	) REFERENCES [dbo].[attributes] (
		[attribute_id]
	) ON DELETE CASCADE  ON UPDATE CASCADE 
GO

ALTER TABLE [dbo].[ui_datapages] ADD 
	CONSTRAINT [FK_ui_datapages_datapages] FOREIGN KEY 
	(
		[datapage_id]
	) REFERENCES [dbo].[datapages] (
		[datapage_id]
	) ON DELETE CASCADE  ON UPDATE CASCADE 
GO

ALTER TABLE [dbo].[ui_entities] ADD 
	CONSTRAINT [FK_ui_entities_entities] FOREIGN KEY 
	(
		[entity_id]
	) REFERENCES [dbo].[entities] (
		[entity_id]
	) ON DELETE CASCADE  ON UPDATE CASCADE 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_CustCol_DelAllForEnt    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_CustCol_DelAllForEnt
@Entity_Id char(36)
 AS
DELETE FROM [ent_custom_cols]
WHERE ent_id = @Entity_Id

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_CustCol_Get    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_CustCol_Get
@CustColId int
 AS
SELECT     dbo.custom_columns.*, dbo.custom_col_groups.display_name AS group_name
FROM         dbo.custom_columns INNER JOIN
                      dbo.custom_col_groups ON dbo.custom_columns.group_id = dbo.custom_col_groups.group_id
WHERE     (custom_columns.custom_col_id = @CustColId)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_CustCol_GetColsForEnt    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_CustCol_GetColsForEnt
@Entity_Id char(36)
 AS
SELECT     dbo.custom_columns.*, dbo.custom_col_groups.display_name AS group_name
FROM         dbo.custom_columns INNER JOIN
                      dbo.custom_col_groups ON dbo.custom_columns.group_id = dbo.custom_col_groups.group_id INNER JOIN
                      dbo.ent_custom_cols ON dbo.custom_columns.custom_col_id = dbo.ent_custom_cols.custom_col_id
WHERE     (dbo.ent_custom_cols.ent_id = @Entity_Id)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_CustCol_GetDefaults    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_CustCol_GetDefaults
AS
SELECT     dbo.custom_columns.*, dbo.custom_col_groups.display_name AS group_name
FROM         dbo.custom_columns INNER JOIN
                      dbo.custom_col_groups ON dbo.custom_columns.group_id = dbo.custom_col_groups.group_id
WHERE     (dbo.custom_columns.default_selection = 1)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_CustCol_InsForEnt    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_CustCol_InsForEnt 
@Entity_Id char(36),
@CustCol_Id int
AS
INSERT INTO [ent_custom_cols] ([ent_id], [custom_col_id])
VALUES(@Entity_Id, @CustCol_Id)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_DelAllDocSources    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_DelAllDocSources
@TaskId char(36)
 AS
DELETE FROM [task_doc_locations]
WHERE task_id = @TaskId

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetAllDPages    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_GetAllDPages AS
SELECT 
	datapage_id, display_name as Name, description as Description, 
	date_created as 'Create Date', date_modified as 'Modified_Date' from datapages
ORDER BY display_name

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetDocSource    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_GetDocSource
@DocSrcId varchar(36)
 AS
SELECT     doc_location_id, task_id, source_type, source, conn_str, [db_name]
FROM         task_doc_locations
WHERE     (doc_location_id = @DocSrcId)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetDocSources    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_GetDocSources
@TaskId varchar(36)
 AS
SELECT     doc_location_id AS DocSrcId
FROM         task_doc_locations
WHERE     (task_id = @TaskId)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetDownloadedDocs    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE  dbo.usp_GetDownloadedDocs 
@JobId char(36),
@TaskId char(36),
@JobStartTime datetime
AS
SELECT     doc_id, uri, temp_uri, copy_completion_code, copy_completion_time, doc_start_time, doc_completion_time, copy_try_count
FROM         task_instance_docs
WHERE     (job_id = @JobId)  AND  (task_id = @TaskId) AND (job_start_time = @JobStartTime) AND 
                      (copy_completion_code = 'Success') AND (extraction_completion_code < 1)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetFileExtFromMime    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_GetFileExtFromMime 
@MimeType varchar(20)
 AS 
SELECT file_ext 
FROM mime_type_to_file_ext_map
WHERE mime_type = @MimeType

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetHiLiters    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_GetHiLiters
@DocType varchar(20)
 AS
SELECT     *
FROM         highlights
WHERE     (doc_type = @DocType)
ORDER BY step

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetJobsThatUseDpage    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_GetJobsThatUseDpage 
@DPageId char(36)
AS
SELECT     jobs.job_id, jobs.job_name
FROM         tasks INNER JOIN
                   jobs ON tasks.job_id = dbo.jobs.job_id
WHERE     (tasks.datapage_id = @DPageId)
ORDER BY jobs.job_name

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetNonDownloadedDocs    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_GetNonDownloadedDocs  
@JobId char(36),
@TaskId char(36),
@JobStartTime datetime
AS
SELECT     doc_id, uri, temp_uri, copy_completion_code, copy_completion_time, doc_start_time, doc_completion_time, copy_try_count
FROM         task_instance_docs
WHERE     (job_id = @JobId)  AND  (task_id = @TaskId) AND (job_start_time = @JobStartTime) AND 
                      (copy_completion_code <> 'Success') AND  (copy_try_count < 10)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetRunningJobs    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_GetRunningJobs
@JobId char(36)
 AS
SELECT     
	job_id, job_start_time
FROM         
	job_instances
WHERE      
	((job_id = @JobId)  AND 
	((job_completion_time IS NULL) OR  (job_completion_time <= 0)))

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetTasks    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_GetTasks
@JobId varchar(36)
 AS
SELECT     task_id AS TaskId, step AS Step
FROM         tasks
WHERE     (job_id = @JobId)
ORDER BY step

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_GetTotalDocCount    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_GetTotalDocCount
@JobId char(36),
@TaskId char(36),
@JobStartTime datetime
AS
SELECT    count(*) as TotalDocCount
FROM         task_instance_docs
WHERE     (job_id = @JobId)  AND  (task_id = @TaskId) AND (job_start_time = @JobStartTime)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_Meta_GetDocSuccessCode    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_Meta_GetDocSuccessCode
@Coefficient float
 AS
SELECT     *
FROM         doc_success_codes
WHERE     (min_val <= @Coefficient) AND (max_val >= @Coefficient)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_Meta_GetEntitySuccessCode    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_Meta_GetEntitySuccessCode
@Coefficient float
 AS
SELECT     *
FROM         entity_success_codes
WHERE     (min_val <= @Coefficient) AND (max_val >= @Coefficient)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_Meta_GetJobSuccessCode    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_Meta_GetJobSuccessCode
@Coefficient float
 AS
SELECT     *
FROM         job_success_codes
WHERE     (min_val <= @Coefficient) AND (max_val >= @Coefficient)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_Meta_GetTaskSuccessCode    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_Meta_GetTaskSuccessCode
@Coefficient float
 AS
SELECT     *
FROM         task_success_codes
WHERE     (min_val <= @Coefficient) AND (max_val >= @Coefficient)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_Progress_GetDocStatusesForJobInstance    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_Progress_GetDocStatusesForJobInstance 
@JobId char(36),
@JobStartTime datetime
AS
SELECT     
	task_instance_docs.task_id, 
	task_instance_docs.doc_id, 
	task_instance_docs.uri AS Source,
	[Status] = 
		CASE
			WHEN task_instance_docs.copy_completion_code <> 'Success' THEN task_instance_docs.copy_completion_code
			ELSE 
				CASE 
					WHEN task_instance_docs.extraction_completion_code IS NOT NULL THEN doc_success_codes.display_name
					ELSE 'Queued for Extraction'
				END
		END,
	[image_index] =
		CASE 
			WHEN doc_success_codes.image_index IS NULL THEN 'NeutralDocImg'
			ELSE doc_success_codes.image_index
		END
FROM         task_instance_docs LEFT OUTER JOIN
                      doc_success_codes ON task_instance_docs.extraction_completion_code = doc_success_codes.doc_success_code_id
WHERE     (task_instance_docs.job_id = @JobId) AND (task_instance_docs.job_start_time = @JobStartTime)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_Progress_GetDocStatusesForTaskInstance    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_Progress_GetDocStatusesForTaskInstance 
@JobId char(36),
@JobStartTime datetime,
@TaskId char(36)
AS
SELECT     
	task_instance_docs.task_id, 
	task_instance_docs.doc_id, 
	task_instance_docs.uri AS Source,
	[Status] = 
		CASE
			WHEN task_instance_docs.copy_completion_code <> 'Success' THEN task_instance_docs.copy_completion_code
			ELSE 
				CASE 
					WHEN task_instance_docs.extraction_completion_code IS NOT NULL THEN doc_success_codes.display_name
					ELSE 'Queued for Extraction'
				END
		END,
	[image_index] =
		CASE 
			WHEN doc_success_codes.image_index IS NULL THEN 'NeutralDocImg'
			ELSE doc_success_codes.image_index
		END
FROM         task_instance_docs LEFT OUTER JOIN
                      doc_success_codes ON task_instance_docs.extraction_completion_code = doc_success_codes.doc_success_code_id
WHERE     (task_instance_docs.job_id = @JobId) AND  (task_instance_docs.job_start_time = @JobStartTime)  AND (task_instance_docs.task_id = @TaskId)

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_Progress_GetEntityStatusesForDoc    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_Progress_GetEntityStatusesForDoc
@DocId char(36)
AS
SELECT    
	entities.entity_name AS Name, 
	task_inst_doc_results_by_ent.ent_occur_count AS [Predicted Count], 
    task_inst_doc_results_by_ent.ent_extract_count AS [Actual Count], 
	task_inst_doc_results_by_ent.doc_id
FROM         
	entity_success_codes INNER JOIN
    task_inst_doc_results_by_ent ON 
   		entity_success_codes.entity_success_code_id = task_inst_doc_results_by_ent.success_code 
	INNER JOIN
   	task_instance_docs ON 
		task_inst_doc_results_by_ent.doc_id = task_instance_docs.doc_id 
	INNER JOIN
      	entities ON 
			task_inst_doc_results_by_ent.entity_id = entities.entity_id
WHERE     
	task_inst_doc_results_by_ent.doc_id = @DocId
ORDER BY 
	entities.entity_name

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_Progress_GetEntityStatusesForJobInstance    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_Progress_GetEntityStatusesForJobInstance 
@JobId char(36),
@JobStartTime datetime
AS
SELECT    
	entities.entity_name AS Name, 
	task_inst_doc_results_by_ent.ent_occur_count AS [Predicted Count], 
    task_inst_doc_results_by_ent.ent_extract_count AS [Actual Count], 
	[percent] = 
	CASE
		WHEN (task_inst_doc_results_by_ent.ent_occur_count IS NOT NULL) AND
		             (task_inst_doc_results_by_ent.ent_extract_count IS NOT NULL) AND
		              (task_inst_doc_results_by_ent.ent_occur_count > 0) THEN
				(CAST(task_inst_doc_results_by_ent.ent_extract_count AS float) / CAST( task_inst_doc_results_by_ent.ent_occur_count as float)) 
	ELSE
		Null
	END,
	task_inst_doc_results_by_ent.doc_id
FROM         dbo.task_instance_docs INNER JOIN
                      dbo.task_inst_doc_results_by_ent ON dbo.task_instance_docs.doc_id = dbo.task_inst_doc_results_by_ent.doc_id INNER JOIN
                      dbo.entities ON dbo.task_inst_doc_results_by_ent.entity_id = dbo.entities.entity_id LEFT OUTER JOIN
                      dbo.entity_success_codes ON dbo.task_inst_doc_results_by_ent.success_code = dbo.entity_success_codes.entity_success_code_id
WHERE     
	(task_instance_docs.job_id = @JobId) AND (task_instance_docs.job_start_time = @JobStartTime)
ORDER BY 
	entities.entity_name

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.usp_Progress_GetTaskStatusesForJobInstance    Script Date: 2/20/2003 1:16:30 PM ******/
CREATE PROCEDURE dbo.usp_Progress_GetTaskStatusesForJobInstance
@JobId varchar(36),
@JobStartTime datetime
AS
SELECT     
	tasks.task_id, 
	tasks.task_name AS Step,
	tasks.step as ExecOrder, 
	task_instances.task_start_time AS [Start Time], 
    task_instances.task_completion_time AS [Finish Time], 
	task_instances.job_id,
	task_instances.job_start_time,
	'Status' =
		CASE 
		  WHEN task_instances.completion_code IS NULL And task_instances.task_start_time > '01/01/1900' And task_instances.task_start_time Is Not Null THEN 'Running...'
		  WHEN task_instances.completion_code IS NULL And task_instances.task_start_time Is Null THEN 'Queued...'
		  ELSE task_success_codes.display_name
		END, 
	'image_index' =
		CASE 
		  WHEN task_instances.completion_code IS NULL And task_instances.task_start_time > '01/01/1900' And task_instances.task_start_time Is Not Null THEN 'ExecutingImg'
		  WHEN task_instances.completion_code IS NULL And task_instances.task_start_time Is Null THEN 'QueuedImg'
		  ELSE task_success_codes.image_index
		END,
	[Execution Time] =
		CASE
			WHEN  DATEDIFF(dd,  task_instances.task_start_time,  task_instances.task_completion_time) > 0 THEN 
				LTRIM(RTRIM(STR(DATEDIFF(dd,  task_instances.task_start_time,  task_instances.task_completion_time)))) + 'd '
			ELSE ''
		END
	+
		CASE
			WHEN (DATEDIFF(hh,  task_instances.task_start_time,  task_instances.task_completion_time) > 0) OR (DATEDIFF(dd,  task_instances.task_start_time,  task_instances.task_completion_time) > 0) THEN
				LTRIM(RTRIM( STR(DATEDIFF(hh,  task_instances.task_start_time,  task_instances.task_completion_time) % 24))) + 'h ' 
			ELSE ''
		END
	+
		CASE
			WHEN ((DATEDIFF(mi,  task_instances.task_start_time,  task_instances.task_completion_time) >0) OR  (DATEDIFF(hh,  task_instances.task_start_time,  task_instances.task_completion_time) > 0) OR (DATEDIFF(dd,  task_instances.task_start_time,  task_instances.task_completion_time) > 0)) THEN
				LTRIM(RTRIM( STR (DATEDIFF(mi,  task_instances.task_start_time,  task_instances.task_completion_time) % 60))) + 'm ' 
			ELSE ''
		END
	+	 LTRIM(RTRIM(STR (DATEDIFF(ss,  task_instances.task_start_time,  task_instances.task_completion_time) % 60))) + 's'   
FROM         dbo.job_instances INNER JOIN
                      dbo.task_instances ON dbo.job_instances.job_id = dbo.task_instances.job_id AND 
                      dbo.job_instances.job_start_time = dbo.task_instances.job_start_time INNER JOIN
                      dbo.tasks ON dbo.task_instances.task_id = dbo.tasks.task_id LEFT OUTER JOIN
                      dbo.task_success_codes ON dbo.task_instances.completion_code = dbo.task_success_codes.task_success_code_id
WHERE     (job_instances.job_start_time =@JobStartTime) AND (job_instances.job_id = @JobId)
UNION
SELECT  tasks.task_id, 
	tasks.task_name AS Step, 
	tasks.step as ExecOrder,
	'Start Time' = Null, 
    'Finish Time' = Null, 
	job_instances.job_id,
	job_instances.job_start_time,
	'Status' = 'Queued...',
	'image_index' = 'QueuedImg', 
	'Execution Time' = Null
FROM         dbo.job_instances INNER JOIN
                      dbo.tasks ON dbo.job_instances.job_id = dbo.tasks.job_id
WHERE
	(job_instances.job_start_time =@JobStartTime) AND (job_instances.job_id = @JobId) AND (tasks.task_id Not in 
	(
		SELECT	task_id 
		FROM task_instances
		WHERE     (job_instances.job_start_time =@JobStartTime) AND (job_instances.job_id = @JobId)
	))
ORDER BY ExecOrder

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

